#ifndef AREA_BUSINESS_WORK_RATE
#define AREA_BUSINESS_WORK_RATE

#include<area_business.h>

/**
 * @brief 工时利用率
 */
class area_business_work_rate:public area_business
{
public:
    int area_business_type()
    {
        return 12;
    }

    void on_load_his(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr);

    void on_enter(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr);
    void on_hover(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
    void on_leave(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
};

#endif // AREA_BUSINESS_WORK_RATE
